be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class MedicationType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MedicationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:01:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class MedicationType
      extends Object
      implements Serializable

  Deprecated at 01/01/2009, this complex type has been retained for backward compatibility only

  Java class for medicationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="medicationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-MEDICATION"/>
                 <element name="inn" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
                 <element name="magistral" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
               </choice>
               <element name="tradename" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="presentation" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}presentationType" minOccurs="0"/>
               <element name="strength" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}strengthType" minOccurs="0"/>
               <element name="route" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}routeType" minOccurs="0"/>
               <element name="batch" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <sequence minOccurs="0">
                 <element name="numberofpackage" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
                 <element name="package" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}packageType" minOccurs="0"/>
                 <element name="quantityperpackage" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
               </sequence>
               <element name="instructionforoverdosing" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
               <element name="instructionforpatient" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
               <element name="instructionforreimbursement" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" minOccurs="0"/>
               <element name="issubstitutionallowed" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MedicationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBatch()` Gets the value of the batch property.
    `CDMEDICATION` | `getCd()` Gets the value of the cd property.
    `TextType` | `getInn()` Gets the value of the inn property.
    `TextType` | `getInstructionforoverdosing()` Gets the value of the instructionforoverdosing property.
    `TextType` | `getInstructionforpatient()` Gets the value of the instructionforpatient property.
    `TextType` | `getInstructionforreimbursement()` Gets the value of the instructionforreimbursement property.
    `TextType` | `getMagistral()` Gets the value of the magistral property.
    `BigDecimal` | `getNumberofpackage()` Gets the value of the numberofpackage property.
    `PackageType` | `getPackage()` Gets the value of the package property.
    `PresentationType` | `getPresentation()` Gets the value of the presentation property.
    `BigDecimal` | `getQuantityperpackage()` Gets the value of the quantityperpackage property.
    `RouteType` | `getRoute()` Gets the value of the route property.
    `StrengthType` | `getStrength()` Gets the value of the strength property.
    `String` | `getTradename()` Gets the value of the tradename property.
    `Boolean` | `isIssubstitutionallowed()` Gets the value of the issubstitutionallowed property.
    `void` | `setBatch(String value)` Sets the value of the batch property.
    `void` | `setCd(CDMEDICATION value)` Sets the value of the cd property.
    `void` | `setInn(TextType value)` Sets the value of the inn property.
    `void` | `setInstructionforoverdosing(TextType value)` Sets the value of the instructionforoverdosing property.
    `void` | `setInstructionforpatient(TextType value)` Sets the value of the instructionforpatient property.
    `void` | `setInstructionforreimbursement(TextType value)` Sets the value of the instructionforreimbursement property.
    `void` | `setIssubstitutionallowed(Boolean value)` Sets the value of the issubstitutionallowed property.
    `void` | `setMagistral(TextType value)` Sets the value of the magistral property.
    `void` | `setNumberofpackage(BigDecimal value)` Sets the value of the numberofpackage property.
    `void` | `setPackage(PackageType value)` Sets the value of the package property.
    `void` | `setPresentation(PresentationType value)` Sets the value of the presentation property.
    `void` | `setQuantityperpackage(BigDecimal value)` Sets the value of the quantityperpackage property.
    `void` | `setRoute(RouteType value)` Sets the value of the route property.
    `void` | `setStrength(StrengthType value)` Sets the value of the strength property.
    `void` | `setTradename(String value)` Sets the value of the tradename property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MedicationType

          public MedicationType()

  - ### Method Detail

    - #### getMagistral

          public TextType getMagistral()

      Gets the value of the magistral property.
      Returns:
        possible object is `TextType`

    - #### setMagistral

          public void setMagistral(TextType value)

      Sets the value of the magistral property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getInn

          public TextType getInn()

      Gets the value of the inn property.
      Returns:
        possible object is `TextType`

    - #### setInn

          public void setInn(TextType value)

      Sets the value of the inn property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getCd

          public CDMEDICATION getCd()

      Gets the value of the cd property.
      Returns:
        possible object is `CDMEDICATION`

    - #### setCd

          public void setCd(CDMEDICATION value)

      Sets the value of the cd property.
      Parameters:
        `value` - allowed object is `CDMEDICATION`

    - #### getTradename

          public String getTradename()

      Gets the value of the tradename property.
      Returns:
        possible object is `String`

    - #### setTradename

          public void setTradename(String value)

      Sets the value of the tradename property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPresentation

          public PresentationType getPresentation()

      Gets the value of the presentation property.
      Returns:
        possible object is `PresentationType`

    - #### setPresentation

          public void setPresentation(PresentationType value)

      Sets the value of the presentation property.
      Parameters:
        `value` - allowed object is `PresentationType`

    - #### getStrength

          public StrengthType getStrength()

      Gets the value of the strength property.
      Returns:
        possible object is `StrengthType`

    - #### setStrength

          public void setStrength(StrengthType value)

      Sets the value of the strength property.
      Parameters:
        `value` - allowed object is `StrengthType`

    - #### getRoute

          public RouteType getRoute()

      Gets the value of the route property.
      Returns:
        possible object is `RouteType`

    - #### setRoute

          public void setRoute(RouteType value)

      Sets the value of the route property.
      Parameters:
        `value` - allowed object is `RouteType`

    - #### getBatch

          public String getBatch()

      Gets the value of the batch property.
      Returns:
        possible object is `String`

    - #### setBatch

          public void setBatch(String value)

      Sets the value of the batch property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNumberofpackage

          public BigDecimal getNumberofpackage()

      Gets the value of the numberofpackage property.
      Returns:
        possible object is `BigDecimal`

    - #### setNumberofpackage

          public void setNumberofpackage(BigDecimal value)

      Sets the value of the numberofpackage property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getPackage

          public PackageType getPackage()

      Gets the value of the package property.
      Returns:
        possible object is `PackageType`

    - #### setPackage

          public void setPackage(PackageType value)

      Sets the value of the package property.
      Parameters:
        `value` - allowed object is `PackageType`

    - #### getQuantityperpackage

          public BigDecimal getQuantityperpackage()

      Gets the value of the quantityperpackage property.
      Returns:
        possible object is `BigDecimal`

    - #### setQuantityperpackage

          public void setQuantityperpackage(BigDecimal value)

      Sets the value of the quantityperpackage property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getInstructionforoverdosing

          public TextType getInstructionforoverdosing()

      Gets the value of the instructionforoverdosing property.
      Returns:
        possible object is `TextType`

    - #### setInstructionforoverdosing

          public void setInstructionforoverdosing(TextType value)

      Sets the value of the instructionforoverdosing property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getInstructionforpatient

          public TextType getInstructionforpatient()

      Gets the value of the instructionforpatient property.
      Returns:
        possible object is `TextType`

    - #### setInstructionforpatient

          public void setInstructionforpatient(TextType value)

      Sets the value of the instructionforpatient property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getInstructionforreimbursement

          public TextType getInstructionforreimbursement()

      Gets the value of the instructionforreimbursement property.
      Returns:
        possible object is `TextType`

    - #### setInstructionforreimbursement

          public void setInstructionforreimbursement(TextType value)

      Sets the value of the instructionforreimbursement property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### isIssubstitutionallowed

          public Boolean isIssubstitutionallowed()

      Gets the value of the issubstitutionallowed property.
      Returns:
        possible object is `Boolean`

    - #### setIssubstitutionallowed

          public void setIssubstitutionallowed(Boolean value)

      Sets the value of the issubstitutionallowed property.
      Parameters:
        `value` - allowed object is `Boolean`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.